
#import <appkit/appkit.h>
#import	"BibliographicObject.h"

#define	LBRACE	'{'
#define	RBRACE	'}'

#define	LPARA	'('
#define	RPARA	')'


@interface BibTexParser:BibliographicObject
{
	id		owner;	
	locType	myKey;
	int		myType;
	int		c;
	int		firstLine;		// line where '@' was found
	int		outerDelimiter;

}


+ initParsing;
+ (locType)fieldFor:(int)fieldType;
- defineType:(int)theType;
- pickUpItem;
- parseSelf;
- callTheEditorForFile:(char *)fName inLine:(int)lineNumber;
- (int)delimiter;

- convertRawText;
- convertRawField:(locType)loc to:(char *)buf;
@end
