
#import <appkit/appkit.h>
#import "BibTeXObject.h"

@interface BibliographicFile:Object
{
	char		*theBuffer;	//buffer of the stream
	int			length, maxLength;	// size of the buffer
	char		*myName;
	NXStream	*memStream;
	id			theText;
	id			listOfObjects;
	id			listOfFoundObjects;
	int			lastSearchPos;
	int			uTime;
	int			sTime;
	BOOL		isDirty;
	BOOL		isNewFile;

}

+ (BOOL) canLoadFromFile:(const char *)fName;
+ (char **) fileTypes;
- (int)uTime;
- (int)sTime;
- (int)insertObject:theObject;
- (int)updateObjectListFor:obj;
- initNewFile:(const char *)fName;
- initFromFile:(const char *)fName;
- changeFilenameTo:(const char *)newName;
- (char *)fullPath;
- (char *)fileName;
- (int) fileSize;
- (int) entries;
- (unsigned int)indexOf:obj;
- objectAt:(unsigned int)index;
- (NXStream	*)stream;
- objectAtCharpos:(int)pos andSelectInMatrix:matrix;
- showFile;
- findKey:(const char *)theKey;
- findString:(const char *)pattern
		ignoreCase:(BOOL)ignoreCaseflag  tolerance:(int)tol;
- free;
- (int) save;
- setDirty;
- (BOOL)isDirty;
- (BOOL)isNewFile;
- delete:obj;
- addObjects:objList;
- appendNewText:(int)length :(char *)buffer;
- replace:(int)length :(char *)buffer forObject:obj;

@end
