#import <appkit/appkit.h>

@interface Bbl2rtf:Object
{
	id	stack;
	int	token;
	int	lastToken;
	int	html;
	NXStream *textStream;
	NXStream *memStream;
	int		fLength;
	int		fMaxLength;
	char	*fBuffer;
}

- initFromStream:(NXStream *)stream;
- initFromFile:(const char *)fname;
- (BOOL) convert2Rtf;
- (BOOL) convert2HTML;
- saveTo:(const char *)fname;

- appendRTF:(const char *)string;
- convertTeX;
- free;

@end
