
#import <appkit/appkit.h>
#import "BibliographicFile.h"

@interface DragView:View
{
	id		anImage;
	id		anImageH;
	id		anImageMulti;
	id		anImageMultiH;
	id		theImage;	// image to be shown
	id		theObject;
	id		theCell;
	id		shelf;
	id		preferences;
	int		theType;
	int		oldMask;
	char	*fileName;
	BOOL	isSelected;
	NXEvent savedEvent;	
	NXStream *dragStream;
	//NXAtom	MyListPboardType;
}

- (void) setFilename:(const char *)fName;
- (void) setList:(List *)aList;
- getList;
- (unsigned int) count;
- (void) setTextObject:(Text *)aText;
- (void) setFileObject:(BibliographicFile *)aFile;
- (char *) fileName;
- (void) clear;
- free;
- unregister;
- (int)tag;
- setShelf:theShelf;

@end
