
#import "Controller.h"
#import "ErrorInspector.h"
#import "BibTexParser.h"
#import "Preferences.h"


id	itsMe = NULL;
	
	
@implementation ErrorInspector

+ new
{
	if( itsMe==NULL ){
		itsMe = [[super alloc] init];
	}
	return itsMe;
}


+ alloc	{return NULL;}


- (int) setError:(char *)errText inLine:(int)nr for:obj
{
	char	localBuffer[256];

	if( entryErrorPanel==NULL ){
		int index;
		[NXApp loadNibSection:"EntryError.nib" owner:self];
		[entryErrorPanel setWorksWhenModal:YES];
		entryPopUpList = [[PopUpList alloc] init];
		preferences = [Preferences new];
		entryNameList = [preferences entryNameList];

		for( index=0; index<[entryNameList count]; index++ ){
			[entryPopUpList addItem:
				(const char *)[entryNameList objectAt:index]];
		}

		NXAttachPopUpList( entryButton, entryPopUpList );
		[entryPopUpList sizeButton:entryButton];	
	if(0)fprintf( stderr, "Font in entryPopUpList %s\n",
		[[entryPopUpList font] displayName] );
	

	}

	sprintf( localBuffer, "wrong entryname found in line %d", nr ); 
	[wrongTextLine setStringValue:localBuffer];
	[wrongText setStringValue:errText];
	[entryErrorPanel orderFront:self];

	[self center];
	if( [NXApp runModalFor:entryErrorPanel]==1) return -1;
	
	return [entryPopUpList indexOfItem:[entryButton title]];
}


// buttons from errorPanel

- entryCancelButton:sender
{
	[NXApp  stopModal:1];
	[entryErrorPanel close];
	return self;
}


- entryOkButton:sender
{
	[NXApp  stopModal:2];
	[entryErrorPanel close];
	return self;
}




@end
