
#import <appkit/appkit.h>

@interface TeXClass:Object
{
	id	theView;
	id	texText;
	id	logText;
	id	switchMatrix;
	id	myPanel;
	id	dviCell;
	
	id	splitView;
	id	upperView;
	id	lowerView;
	
	id	directoryTextField;
	id	popUpList;
	id	popUpButton;

	id	theSubprocess;
	id	preferences;
	const	char *bibDir;
	BOOL	filesExist;
	BOOL	isRunning;

	Pasteboard *pboard;
	NXImage *dviImage;	
	NXStream *texStream;

}

- loadTemplateFile:(const char *)template;
- (void)showPanel;
- runTeXfor:aList;
- printDvi:sender;
- saveTemplate:sender;
- loadTemplate:sender;
- loadDefault:sender;
- showUpperView:sender;
- (BOOL)isRunning;
- createRtf:sender;
- createHTML:sender;

@end

